Bug 28835 - Ability to pass list contents to batch record modification broken
Summary: Ability to pass list contents to batch record modification broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-10 07:27 UTC by Fridolin Somers
Modified: 2021-08-16 21:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.03,20.11.09


Attachments
Bug 28835: Fix ability to pass list contents to batch record modification (2.39 KB, patch)
2021-08-10 09:35 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28835: Fix ability to pass list contents to batch record modification (2.45 KB, patch)
2021-08-10 21:46 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28835: Fix ability to pass list contents to batch record modification (2.50 KB, patch)
2021-08-10 23:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-08-10 07:27:29 UTC
Bug 12759 added the ability to pass list contents to batch record modification/deletion tools.
Patch Bug 22417 [Restore the 'add to list' feature] removed the fetch of lists in batch_record_modification.pl I don't understand why.
It still exists in batch_delete_records.pl.

Note that this is needed when first form is displayed.
Comment 1 Fridolin Somers 2021-08-10 09:35:34 UTC
Created attachment 123662 [details] [review]
Bug 28835: Fix ability to pass list contents to batch record modification

Bug 12759 added the ability to pass list contents to batch record modification/deletion tools.
Patch Bug 22417 [Restore the 'add to list' feature] removed the fetch of lists in batch_record_modification.pl I don't understand why.
It still exists in batch_delete_records.pl.

Note that this is needed when first form is displayed.

Test plan :
1) Create a private and a public list of records
2) Open Tools > Batch record modification
3) Check you can use the lists
4) Open Tools > Batch record deletion
5) Check you can use the lists
Comment 2 Lucas Gass 2021-08-10 21:46:08 UTC
Created attachment 123719 [details] [review]
Bug 28835: Fix ability to pass list contents to batch record modification

Bug 12759 added the ability to pass list contents to batch record modification/deletion tools.
Patch Bug 22417 [Restore the 'add to list' feature] removed the fetch of lists in batch_record_modification.pl I don't understand why.
It still exists in batch_delete_records.pl.

Note that this is needed when first form is displayed.

Test plan :
1) Create a private and a public list of records
2) Open Tools > Batch record modification
3) Check you can use the lists
4) Open Tools > Batch record deletion
5) Check you can use the lists

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-08-10 23:18:13 UTC
Good catch!
Comment 4 Katrin Fischer 2021-08-10 23:19:03 UTC
Created attachment 123729 [details] [review]
Bug 28835: Fix ability to pass list contents to batch record modification

Bug 12759 added the ability to pass list contents to batch record
modification/deletion tools.
Patch Bug 22417 [Restore the 'add to list' feature] removed the fetch
of lists in batch_record_modification.pl I don't understand why.
It still exists in batch_delete_records.pl.

Note that this is needed when first form is displayed.

Test plan :
1) Create a private and a public list of records
2) Open Tools > Batch record modification
3) Check you can use the lists
4) Open Tools > Batch record deletion
5) Check you can use the lists

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-08-11 11:24:40 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-08-13 11:38:01 UTC
Pushed to 21.05.x for 21.05.03
Comment 7 Fridolin Somers 2021-08-13 20:12:40 UTC
Pushed to 20.11.x for 20.11.09
Comment 8 Victor Grousset/tuxayo 2021-08-16 21:09:42 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.